package com.nanyan.securitylink.common;

public enum MsgCode {
    SUCCESS(200, "success"),
    FAILED(1001, "access failed"),
    NOT_LOGIN(401, "not login"),
    LOGIN_FAILED(402, "login failed"),
    LOGIN_EXPIRE(403, "token expire")
    //翻译异常
    ,
    TRANSLATE_ERROR(500, "translate error"),
    //JSON字符串异常
    JSON_ERROR(501, "json error")
    ;
    int code;
    String msg;

    MsgCode(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
